Bug 126426 - FILEOPEN DOCX Hyperlink in grouped shape not imported at all
Summary: FILEOPEN DOCX Hyperlink in grouped shape not imported at all
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords:
Depends on:
Blocks: DOCX-Hyperlink DOCX-Grouped-Shapes
  Show dependency treegraph
 
Reported: 2019-07-16 12:17 UTC by NISZ LibreOffice Team
Modified: 2021-10-15 01:53 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with grouped image and text box (503.23 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-16 12:18 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (958.51 KB, image/png)
2019-07-16 12:19 UTC, NISZ LibreOffice Team
Details
Example document from Word with grouping removed (180.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-16 12:19 UTC, NISZ LibreOffice Team
Details
Same example file from Writer with grouping removed (180.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-16 12:20 UTC, NISZ LibreOffice Team
Details
The ungrouped document appears with correct hyperlinks (1.92 MB, image/png)
2019-07-16 12:21 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-16 12:17:52 UTC
Description:
Attached document contains an image and a text box grouped. The text box contains some simple hyperlinks, but these are not imported at all when opened in Writer.
Removing the grouping between the image and the text box causes the hyperlinks to import correctly.


Steps to Reproduce:
1.	Open attached file

Actual Results:
The text box text does not contain hyperlinks.

Expected Results:
The grouped text box should contain the hyperlinks.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 49422a469646ad8be43ba828ca24c2484c26b9e8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-07-08_00:50:19
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-07-16 12:18:30 UTC
Created attachment 152805 [details]
Example file from Word with grouped image and text box
Comment 2 NISZ LibreOffice Team 2019-07-16 12:19:04 UTC
Created attachment 152806 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 NISZ LibreOffice Team 2019-07-16 12:19:53 UTC
Created attachment 152807 [details]
Example document from Word with grouping removed
Comment 4 NISZ LibreOffice Team 2019-07-16 12:20:42 UTC
Created attachment 152808 [details]
Same example file from Writer with grouping removed
Comment 5 NISZ LibreOffice Team 2019-07-16 12:21:27 UTC
Created attachment 152809 [details]
The ungrouped document appears with correct hyperlinks
Comment 6 Dieter 2019-07-20 05:04:56 UTC
I confirm it with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

Additional information:
Hyperlinks appear in ungrouped document, but I can't click them. Copy and past outside the textbox makes hyperlinks work. Do you get the same result?
Comment 7 Muhammet Kara 2020-07-23 17:04:04 UTC
I confirm that it is still valid on:

Version: 7.1.0.0.alpha0+
Build ID: 84522fc8798cf0d89835f58f4b335b0045a50bfb
CPU threads: 16; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

--

And this is what I see on terminal:

warn:svx.uno:7338:7338:svx/source/unodraw/unoshape.cxx:1619: Unknown Property: URL
Comment 8 Commit Notification 2021-09-10 10:28:20 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/14d299f8f1e19b39dfa81e143762c6b277c1ae9a

tdf#126426: support for hyperlinks in TextParagraphContext

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-09-10 19:21:15 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/d51609fbe49042867fa734ef4f6c1755df8514a2

tdf#126426: support for hyperlinks in TextParagraphContext

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Dieter 2021-09-26 10:23:21 UTC
Retested with

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7cd5b35caa8d4fa9d0ba2b2c6ce4b88726ed2be6
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Result:
Hyperlinks are now part of the document, but link doesn't work (target is within the document). don't know, if tis is part of this bug or should be treated as a ne bug.
Comment 11 Vasily Melenchuk (CIB) 2021-09-27 10:03:34 UTC
(In reply to Dieter from comment #10)
> Hyperlinks are now part of the document, but link doesn't work (target is
> within the document). don't know, if tis is part of this bug or should be
> treated as a ne bug.

Dieter, are you sure?
All links in attached docs (hyperlink-grouped-shape.docx, hyperlink-ungrouped-shape.docx) are pointing to external web URLs. 

And yes, there are some issues with clicking these links: need to select a textbox and then somehow to click the link. But it is a different problem.
Comment 12 Thorsten Behrens (allotropia) 2021-09-29 14:30:13 UTC
Confirm, import works now, hyperlinks are there (needs activating the text box before indeed).